#include <Core/Application/ApplicationManager.h>
#include <Core/JulietInit.h>

#include <Engine/Engine.h>

namespace Juliet
{
    void StartApplication(IApplication& app, JulietInit_Flags flags)
    {
        InitializeEngine(flags);

        LoadApplication(app);

        RunEngine();

        UnloadApplication();

        ShutdownEngine();
    }
} // namespace Juliet
